#!/bin/csh

#------ set parameters

set freqLow = 0.1
set freqHigh = 0.166
set dt = 0.5
set minbytesize = 58240  # this will vary with dt and duration. Interpolate 1 sac file and "ls -l"

#------- demean, taper, filter and decimate the data 

cd SACFILES
/bin/rm *-1.SAC

foreach jday2 ( 00 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 )

sac<<!
r *.BHZ.*.[1-2][0-9][0-9][0-9].$jday2?.*.SAC
rmean
taper width 0.01
bp co $freqLow $freqHigh
interpolate delta $dt
w over
quit
!

end

#-------- get rid of files that are too short

mkdir TOOSHORT
foreach sacfile ( `ls *.BHZ.*.SAC` )
   set lsl = `ls -l $sacfile`
   set size = $lsl[5]
   if ( $size != $minbytesize ) then
      ls -l $sacfile
      /bin/mv $sacfile TOOSHORT
   endif
end



